CraftAutoLoot = {}
 
CraftAutoLoot.name = "CraftAutoLoot"
 
function CraftAutoLoot:Initialize()

   ZO_ReticleContainerInteract:SetHandler("OnShow", function()
      local action, container, _, _, additionalInfo, _ = GetGameCameraInteractableActionInfo()
      if action == "Mine" or action == "Collect" or action == "Cut" then
         SetSetting(SETTING_TYPE_LOOT, LOOT_SETTING_AUTO_LOOT, 1)
      else
	 SetSetting(SETTING_TYPE_LOOT, LOOT_SETTING_AUTO_LOOT, 0)
      end
   end)
end
 
function CraftAutoLoot.OnAddOnLoaded(event, addonName)
  if addonName == CraftAutoLoot.name then
    CraftAutoLoot:Initialize()
  end
end
 
EVENT_MANAGER:RegisterForEvent(CraftAutoLoot.name, EVENT_ADD_ON_LOADED, CraftAutoLoot.OnAddOnLoaded)
